package com.ruoyi.tuya.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 平台报价单对象 bus_supplier_release
 *
 * @author zf
 * @date 2022-07-21
 */
public class BusSupplierRelease extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 供应商编号 */
    @Excel(name = "供应商编号")
    private String code;

    /** 路线编号 */
    @Excel(name = "路线编号")
    private String uuid;

    /** 定制编号 */
    @Excel(name = "定制编号")
    private String demandUuid;

    /** 建档日期 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "建档日期", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date jdrq;

    /** 修改日期 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "修改日期", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date updateDate;

    /** 价格 */
    @Excel(name = "价格")
    private String priceAll;

    /** 封面图 */
    @Excel(name = "封面图")
    private String titleImg;

    /** 报价单名称 */
    @Excel(name = "报价单名称")
    private String offerName;

    /** 价格明细 */
    @Excel(name = "价格明细")
    private String priceDetail;

    /** 合同文件 */
    @Excel(name = "合同文件")
    private String contractFile;

    /** 价格说明 */
    @Excel(name = "价格说明")
    private String priceDetailText;

    /** 其他 */
    @Excel(name = "其他")
    private String other;

    /** 单号 */
    @Excel(name = "单号")
    private String orderNo;

    /** 评价分数 */
    @Excel(name = "评价分数")
    private String score;

    /** 热门标识 */
    @Excel(name = "热门标识")
    private String hotForm;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setCode(String code)
    {
        this.code = code;
    }

    public String getCode()
    {
        return code;
    }
    public void setUuid(String uuid)
    {
        this.uuid = uuid;
    }

    public String getUuid()
    {
        return uuid;
    }
    public void setDemandUuid(String demandUuid)
    {
        this.demandUuid = demandUuid;
    }

    public String getDemandUuid()
    {
        return demandUuid;
    }
    public void setJdrq(Date jdrq)
    {
        this.jdrq = jdrq;
    }

    public Date getJdrq()
    {
        return jdrq;
    }
    public void setUpdateDate(Date updateDate)
    {
        this.updateDate = updateDate;
    }

    public Date getUpdateDate()
    {
        return updateDate;
    }
    public void setPriceAll(String priceAll)
    {
        this.priceAll = priceAll;
    }

    public String getPriceAll()
    {
        return priceAll;
    }
    public void setTitleImg(String titleImg)
    {
        this.titleImg = titleImg;
    }

    public String getTitleImg()
    {
        return titleImg;
    }
    public void setOfferName(String offerName)
    {
        this.offerName = offerName;
    }

    public String getOfferName()
    {
        return offerName;
    }
    public void setPriceDetail(String priceDetail)
    {
        this.priceDetail = priceDetail;
    }

    public String getPriceDetail()
    {
        return priceDetail;
    }
    public void setContractFile(String contractFile)
    {
        this.contractFile = contractFile;
    }

    public String getContractFile()
    {
        return contractFile;
    }
    public void setPriceDetailText(String priceDetailText)
    {
        this.priceDetailText = priceDetailText;
    }

    public String getPriceDetailText()
    {
        return priceDetailText;
    }
    public void setOther(String other)
    {
        this.other = other;
    }

    public String getOther()
    {
        return other;
    }
    public void setOrderNo(String orderNo)
    {
        this.orderNo = orderNo;
    }

    public String getOrderNo()
    {
        return orderNo;
    }
    public void setScore(String score)
    {
        this.score = score;
    }

    public String getScore()
    {
        return score;
    }
    public void setHotForm(String hotForm)
    {
        this.hotForm = hotForm;
    }

    public String getHotForm()
    {
        return hotForm;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("code", getCode())
            .append("uuid", getUuid())
            .append("demandUuid", getDemandUuid())
            .append("jdrq", getJdrq())
            .append("updateDate", getUpdateDate())
            .append("priceAll", getPriceAll())
            .append("titleImg", getTitleImg())
            .append("offerName", getOfferName())
            .append("priceDetail", getPriceDetail())
            .append("contractFile", getContractFile())
            .append("priceDetailText", getPriceDetailText())
            .append("other", getOther())
            .append("orderNo", getOrderNo())
            .append("score", getScore())
            .append("hotForm", getHotForm())
            .toString();
    }
}
